package com.boman.report.service;

import com.boman.domain.dto.AjaxResult;
import com.boman.domain.dto.StatisticReportDto;
import com.boman.domain.entity.StatisticReport;

import java.util.List;
import java.util.Map;

import com.boman.domain.dto.AjaxResult;

import com.boman.domain.dto.AjaxResult;
import com.boman.domain.entity.StatisticReport;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年08月24日 11:10
 **/
public interface StatisticReportService {

    Map<String, Object> datas(String name);

    List<StatisticReport> selectList(StatisticReport report);

    AjaxResult saveOrUpdate(StatisticReport report);

    /**
     * 获取表报详情
     * @param id
     * @return
     */
    AjaxResult getReportInfo (Long id);

    public StatisticReport getDetailById(Long id);
   
}

